<script>
import MainDialog from "@/components/dialog/MainDialog.vue";
import Select from "@/components/Select.vue";
import ImgCar from "../../assets/images/setting/setting_car2.webp";
import ImgCar1 from "../../assets/images/setting/driving_assist/img.webp";

export default {
  name: "DrivingAssist",
  components: { Select, MainDialog },
  data() {
    return {
      lane_systemState: false,
      trafficState: false,
      intelligentSwitch: true,
      ImgCar,
      ImgCar1,
    };
  },
};
</script>

<template>
  <div class="custom-body">
    <div class="card-body">
      <u-card
        is-arrow
        shadow
        left-text="车道辅助系统"
        leftIconName="setting_tips"
        @onClick="lane_systemState = true"
      />

      <div class="card-group">
        <u-card
          left-text="交通标志识别系统"
          is-arrow
          leftIconName="setting_tips"
          @onClick="trafficState = true"
        />
        <u-card left-text="智能远近光灯" leftIconName="setting_tips">
          <template #right>
            <u-switch v-model="intelligentSwitch" :value="intelligentSwitch" />
          </template>
        </u-card>
      </div>
    </div>

    <img
      :src="intelligentSwitch ? ImgCar : ImgCar1"
      alt=""
      srcset=""
      class="custom-body-img"
    />

    <MainDialog
      title="车道辅助系统"
      is-close
      :dialog-visible="lane_systemState"
      class="lane_system"
      @close="(e) => (lane_systemState = e)"
      :width="909"
    >
      <template #content>
        <div class="flex flex-column w-full">
          <div class="w-full flex temp flex-center">
            <span>车道辅助系统</span>
            <Select
              background="#D3DCE6"
              :options="['偏离预警', '偏离抑制', '关闭']"
              :selected-index="0"
            />
          </div>
          <div class="w-full flex temp flex-center">
            <span>报警模式</span>
            <Select
              background="#D3DCE6"
              :options="['声音', '振动', '声音+振动']"
              :selected-index="0"
            />
          </div>

          <div class="w-full flex flex-jcs temp">
            <span>紧急车道保持辅助</span>
            <u-switch value="value" />
          </div>
        </div>
      </template>
    </MainDialog>

    <MainDialog
      title="交通标志识别系统"
      is-close
      :dialog-visible="trafficState"
      class="lane_system"
      @close="(e) => (trafficState = e)"
      :width="909"
    >
      <template #content>
        <div class="flex w-full flex-column">
          <div class="flex flex-jcs temp">
            <span>智能限速控制</span>
            <u-switch value="value" />
          </div>
          <div class="flex flex-jcs temp">
            <span>智能限速报警</span>
            <u-switch value="value" />
          </div>
          <div class="flex flex-jcs temp">
            <span>限速报警灵敏度</span>
            <Select
              :options="['-10', '-5', '0', '5', '10']"
              :selected-index="0"
              background="#D3DCE6"
            />
          </div>
        </div>
      </template>

      <template #right>
        <u-switch value="value" />
      </template>
    </MainDialog>
  </div>
</template>

<style scoped lang="scss">
.lane_system {
  ::v-deep .dialog-body {
    width: 100%;
    height: 350px;
    padding: 50px;
    box-sizing: border-box;

    .temp {
      padding: 23px 0;
    }

    span {
      white-space: nowrap;
      font-size: 30px;
      color: #3d3d3d;
    }

    .select-warp {
      margin-left: 75px;
      height: 68px;
    }
  }
}
.custom-body {
  position: relative;
  &-img {
    width: 774px;
    height: 697px;
    position: absolute;
    right: 93px;
    top: 20px;
    z-index: 0;
    object-fit: contain;
  }
  .card-body {
    width: 694px;

    .card-container {
      margin-bottom: 18px;
    }

    .card-group {
      border-radius: 16px;
      box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.09);

      .card-container:first-child {
        border-radius: #{16px 16px 0 0};
        margin-bottom: 0;
      }

      .card-container:last-child {
        border-radius: #{0 0 16px 16px};
        margin-top: 0;
      }
    }
  }
}
</style>
